SCSIFORMAT(8)

NAME
scsiformat - format SCSI disks and show SCSI parameters

SYNOPSIS
scsiformat [-qyw] [-p page-control] device-name

DESCRIPTION
The scsiformat utility can be used to format SCSI disks on systems that support on-line SCSI formatting. It will also show the various parameters set in the SCSI controller. The device-name should be either a disk name like ‘sd0’, or the path name of the control device for a disk, as in /dev/rsd0.ctl. Using a regular disk device may not work, for example in case of a device where the medium format is corrupted.

The options are as follows:

-p  Modify how the SCSI mode sense page query is constructed. By default, scsiformat asks for the current settings. The page-control flag is one of:

    c   gets current settings.
    d   gets default settings (those provided by the disk's manufacturer).
    s   gets saved settings (those that persist across power cycles).
    v   shows which parameters are variable.

-q  Quiet; suppress the mode page output. Only the inquiry string will be printed, so the operator can ensure he's going to format the intended drive.

-y  Yes; do format without asking any question. If this option is not provided, scsiformat will ask back before actually starting to format the device. At this point, hitting the interrupt key (normally Control-C) will abort the program.

-w  Do actually format; by default, only the disk parameters will be displayed.

DIAGNOSTICS
These should mostly be self-explanatory. A copy of the SCSI standard (or a more readable derivative) may be useful, however.

SEE ALSO
scsi(8).

HISTORY
The scsiformat utility first appeared in 4.4BSD. This version has been reworked as a wrapper around scsi(8) by Peter Dufault for FreeBSD 2.1.